					<img src="<?php Theme::Path(); ?>itemTop.png" width="530" height="10" alt="---" align="absbottom" />
					<form name="edit" method="post" action="<?php e($this->_vars['action']['url']); ?>">
						<?php HTML::requires(); ?>
						<div class="listrow"><h2><img src="<?php e(BASE_URL); ?>resource/img/icons/layout_edit.gif" width="16" height="16" align="absmiddle" alt="&gt;" />&nbsp;<?php _e('Theme Design'); ?></h2></div>
<?php if ($this->_vars['action']['complete'] || $this->_vars['action']['deleted']): ?>
						<div class="listplain">
							<?php e($this->_vars['action']['complete']? _('Updated'):_('Deleted')); ?><br /><br /><?php loadPlugin::callFunc('hitsuji_banner', POSITION_MIDDLE); ?><br />
						</div>
<?php elseif ($this->_vars['action']['confirm'] || $this->_vars['action']['delete']): ?>
						<div class="listrow">
							<label class="column"><?php _e('Title'); ?>:</label>
							<div class="fdata"><?php e($this->_vars['des_theme']['theme']); ?></div>
						</div>
						<div class="listrow">
							<label class="column"><?php _e('Body Color'); ?>:</label>
							<div class="fdata"><?php e($this->_vars['des_theme']['body']); ?></div>
						</div>
						<div class="listrow">
							<label class="column"><?php _e('Text Color'); ?>:</label>
							<div class="fdata"><?php e($this->_vars['des_theme']['text']); ?></div>
						</div>
						<div class="listrow">
							<label class="column"><?php _e('Strong Color'); ?>:</label>
							<div class="fdata"><?php e($this->_vars['des_theme']['bold']); ?></div>
						</div>
						<div class="listrow">
							<label class="column"><?php _e('Border Color'); ?>:</label>
							<div class="fdata"><?php e($this->_vars['des_theme']['border']); ?></div>
						</div>
						<div class="listrow">
							<label class="column"><?php _e('Comment'); ?>:</label>
							<div class="fdata"><?php HTML::htmlBody($this->_vars['des_theme']['comment']); ?></div>
						</div>
						<div class="listplain">
							<input type="submit" name="manip" value="<?php e($this->_vars['action']['confirm']? _('Submit'):_('Delete')); ?>" style="width:120px;" />&nbsp;&nbsp;&nbsp;&nbsp;
							<input type="submit" name="<?php e($this->_vars['action']['goback']); ?>" value="<?php _e('Go back'); ?>" style="width:100px;" />
						</div>
<?php else: ?>
						<div class="listrow">
							<label class="column"><?php _e('Title'); ?>:</label>
							<div class="fdata">
								<?php if (!empty($this->_vars['alert']['theme'])): ?><span class="alert"><?php _e('Please enter.'); ?></span><br /><?php endif; ?>
 
								<input type="text" name="theme" value="<?php e($this->_vars['des_theme']['theme']); ?>" size="32" />
							</div>
						</div>
						<div class="listrow">
							<label class="column"><?php _e('Body Color'); ?>:</label>
							<div class="fdata">
								<?php if (!empty($this->_vars['alert']['body'])): ?><span class="alert"><?php _e('Please enter.'); ?></span><br /><?php endif; ?>
 
								<input id="body" type="hidden" name="body" value="<?php e($this->_vars['des_theme']['body']); ?>" />
								<div id="body-container"></div>
							</div>
						</div>
						<div class="listrow">
							<label class="column"><?php _e('Text Color'); ?>:</label>
							<div class="fdata">
								<?php if (!empty($this->_vars['alert']['text'])): ?><span class="alert"><?php _e('Please enter.'); ?></span><br /><?php endif; ?>
 
								<input id="text" type="hidden" name="text" value="<?php e($this->_vars['des_theme']['text']); ?>" />
								<div id="text-container"></div>
							</div>
						</div>
						<div class="listrow">
							<label class="column"><?php _e('Strong Color'); ?>:</label>
							<div class="fdata">
								<?php if (!empty($this->_vars['alert']['bold'])): ?><span class="alert"><?php _e('Please enter.'); ?></span><br /><?php endif; ?>
 
								<input id="bold" type="hidden" name="bold" value="<?php e($this->_vars['des_theme']['bold']); ?>" />
								<div id="bold-container"></div>
							</div>
						</div>
						<div class="listrow">
							<label class="column"><?php _e('Border Color'); ?>:</label>
							<div class="fdata">
								<?php if (!empty($this->_vars['alert']['border'])): ?><span class="alert"><?php _e('Please enter.'); ?></span><br /><?php endif; ?>
 
								<input id="border" type="hidden" name="border" value="<?php e($this->_vars['des_theme']['border']); ?>" />
								<div id="border-container"></div>
							</div>
						</div>
						<div class="listrow">
							<label class="column"><?php _e('Comment'); ?>:</label>
							<div class="fdata">
								<?php if (!empty($this->_vars['alert']['comment'])): ?><span class="alert"><?php _e('Please enter.'); ?></span><br /><?php endif; ?>
								<textarea name="comment" cols="40" rows="6"><?php e($this->_vars['des_theme']['comment']); ?></textarea>
							</div>
						</div>
						<div class="listplain"><input type="submit" name="confirm" value="<?php _e('Confirm'); ?>" style="width:120px;" /></div>
<script type="text/javascript">
    YAHOO.util.Event.onContentReady("body-container", function () {
        function onBodyOption() {
            oBodyColorPickerMenu.setBody("&#32;");
            oBodyColorPickerMenu.body.id = "color-picker-container1";
            oBodyColorPickerMenu.render(this.get("container"));
            var oColorPicker = new YAHOO.widget.ColorPicker(oBodyColorPickerMenu.body.id, {
                                    showcontrols: false,
                                    images: {
                                        PICKER_THUMB: "<?php e(BASE_URL); ?>resource/yui/colorpicker/assets/picker_thumb.png",
                                        HUE_THUMB: "<?php e(BASE_URL); ?>resource/yui/colorpicker/assets/hue_thumb.png"
                                    }
                                });
            oColorPicker.set("hex", '<?php e(ifNull($this->_vars['des_theme']['body'], 'FFFFFF')); ?>');

            oBodyColorPickerMenu.align();
            oColorPicker.on("rgbChange", function (p_oEvent) {
                var sColor = "#" + this.get("hex");
                YAHOO.util.Dom.setStyle("body-color", "backgroundColor", sColor);
                YAHOO.util.Dom.get("body-color").innerHTML = "Current color is " + sColor;

                YAHOO.util.Dom.get("body").value = this.get("hex");
            
            });
            this.unsubscribe("option", onBodyOption);
        }
        var oBodyColorPickerMenu = new YAHOO.widget.Menu("body-picker-menu");
        var oBodyButton = new YAHOO.widget.Button({ 
                                            type: "split", 
                                            id: "color-picker-body", 
                                            label: "<em id=\"body-color\">Current color is #FFFFFF.</em>", 
                                            menu: oBodyColorPickerMenu, 
                                            container: this });        
        oBodyButton.on("option", onBodyOption);
        YAHOO.util.Dom.setStyle("body-color", "backgroundColor", '#<?php e(ifNull($this->_vars['des_theme']['body'], 'FFFFFF')); ?>');
    });

    YAHOO.util.Event.onContentReady("text-container", function () {
        function onTextOption() {
            oTextColorPickerMenu.setBody("&#32;");
            oTextColorPickerMenu.body.id = "color-picker-container2";
            oTextColorPickerMenu.render(this.get("container"));
            var oColorPicker = new YAHOO.widget.ColorPicker(oTextColorPickerMenu.body.id, {
                                    showcontrols: false,
                                    images: {
                                        PICKER_THUMB: "<?php e(BASE_URL); ?>resource/yui/colorpicker/assets/picker_thumb.png",
                                        HUE_THUMB: "<?php e(BASE_URL); ?>resource/yui/colorpicker/assets/hue_thumb.png"
                                    }
                                });
            oColorPicker.set("hex", '<?php e(ifNull($this->_vars['des_theme']['text'], 'FFFFFF')); ?>');

            oTextColorPickerMenu.align();
            oColorPicker.on("rgbChange", function (p_oEvent) {
                var sColor = "#" + this.get("hex");
                YAHOO.util.Dom.setStyle("text-color", "backgroundColor", sColor);
                YAHOO.util.Dom.get("text-color").innerHTML = "Current color is " + sColor;

                YAHOO.util.Dom.get("text").value = this.get("hex");
            
            });
            this.unsubscribe("option", onTextOption);
        }
        var oTextColorPickerMenu = new YAHOO.widget.Menu("text-picker-menu");
        var oTextButton = new YAHOO.widget.Button({ 
                                            type: "split", 
                                            id: "color-picker-text", 
                                            label: "<em id=\"text-color\">Current color is #FFFFFF.</em>", 
                                            menu: oTextColorPickerMenu, 
                                            container: this });        
        oTextButton.on("option", onTextOption);
        YAHOO.util.Dom.setStyle("text-color", "backgroundColor", '#<?php e(ifNull($this->_vars['des_theme']['text'], 'FFFFFF')); ?>');
    });

    YAHOO.util.Event.onContentReady("bold-container", function () {
        function onBoldOption() {
            oBoldColorPickerMenu.setBody("&#32;");
            oBoldColorPickerMenu.body.id = "color-picker-container3";
            oBoldColorPickerMenu.render(this.get("container"));
            var oColorPicker = new YAHOO.widget.ColorPicker(oBoldColorPickerMenu.body.id, {
                                    showcontrols: false,
                                    images: {
                                        PICKER_THUMB: "<?php e(BASE_URL); ?>resource/yui/colorpicker/assets/picker_thumb.png",
                                        HUE_THUMB: "<?php e(BASE_URL); ?>resource/yui/colorpicker/assets/hue_thumb.png"
                                    }
                                });
            oColorPicker.set("hex", '<?php e(ifNull($this->_vars['des_theme']['bold'], 'FFFFFF')); ?>');

            oBoldColorPickerMenu.align();
            oColorPicker.on("rgbChange", function (p_oEvent) {
                var sColor = "#" + this.get("hex");
                YAHOO.util.Dom.setStyle("bold-color", "backgroundColor", sColor);
                YAHOO.util.Dom.get("bold-color").innerHTML = "Current color is " + sColor;

                YAHOO.util.Dom.get("bold").value = this.get("hex");
            
            });
            this.unsubscribe("option", onBoldOption);
        }
        var oBoldColorPickerMenu = new YAHOO.widget.Menu("bold-picker-menu");
        var oBoldButton = new YAHOO.widget.Button({ 
                                            type: "split", 
                                            id: "color-picker-bold", 
                                            label: "<em id=\"bold-color\">Current color is #FFFFFF.</em>", 
                                            menu: oBoldColorPickerMenu, 
                                            container: this });        
        oBoldButton.on("option", onBoldOption);
        YAHOO.util.Dom.setStyle("bold-color", "backgroundColor", '#<?php e(ifNull($this->_vars['des_theme']['bold'], 'FFFFFF')); ?>');
    });

    YAHOO.util.Event.onContentReady("border-container", function () {
        function onBorderOption() {
            oBorderColorPickerMenu.setBody("&#32;");
            oBorderColorPickerMenu.body.id = "color-picker-container4";
            oBorderColorPickerMenu.render(this.get("container"));
            var oColorPicker = new YAHOO.widget.ColorPicker(oBorderColorPickerMenu.body.id, {
                                    showcontrols: false,
                                    images: {
                                        PICKER_THUMB: "<?php e(BASE_URL); ?>resource/yui/colorpicker/assets/picker_thumb.png",
                                        HUE_THUMB: "<?php e(BASE_URL); ?>resource/yui/colorpicker/assets/hue_thumb.png"
                                    }
                                });
            oColorPicker.set("hex", '<?php e(ifNull($this->_vars['des_theme']['border'], 'FFFFFF')); ?>');

            oBorderColorPickerMenu.align();
            oColorPicker.on("rgbChange", function (p_oEvent) {
                var sColor = "#" + this.get("hex");
                YAHOO.util.Dom.setStyle("border-color", "backgroundColor", sColor);
                YAHOO.util.Dom.get("border-color").innerHTML = "Current color is " + sColor;

                YAHOO.util.Dom.get("border").value = this.get("hex");
            
            });
            this.unsubscribe("option", onBorderOption);
        }
        var oBorderColorPickerMenu = new YAHOO.widget.Menu("border-picker-menu");
        var oBorderButton = new YAHOO.widget.Button({ 
                                            type: "split", 
                                            id: "color-picker-border", 
                                            label: "<em id=\"border-color\">Current color is #FFFFFF.</em>", 
                                            menu: oBorderColorPickerMenu, 
                                            container: this });        
        oBorderButton.on("option", onBorderOption);
        YAHOO.util.Dom.setStyle("border-color", "backgroundColor", '#<?php e(ifNull($this->_vars['des_theme']['border'], 'FFFFFF')); ?>');
    });
</script>
<?php endif; ?>
					</form>
					<img src="<?php Theme::Path(); ?>itemBottom.png" width="530" height="10" alt="___" align="top" />
